package com.sencha.gxt.chart.client.chart.series;

import com.sencha.gxt.chart.client.draw.sprite.Sprite;

/**
 * Interface for {@link Series} highlighting effects.
 */
public interface SeriesHighlighter {

  /**
   * Highlights the given sprite.
   * 
   * @param sprite the sprite to be hightlighted
   */
  public void hightlight(Sprite sprite);

  /**
   * Remove highlighting from the given sprite.
   * 
   * @param sprite the sprite to have highlighting removed
   */
  public void unHightlight(Sprite sprite);

}
